# ResizeDisk

## 1. 接口描述

本接口(ResizeDisk)用于将一个云硬盘扩容到指定大小。

{% hint style="info" %}
**注意事项**

* 本接口只支持扩容云盘
* 本接口为异步接口，调用接口成功后，可通过接口[`DescribeDisks`](/api-reference/cn/compute/zec/disk/describedisks.md)来查询对应云盘的状态，如果云盘的状态为`CHANGING`，表示正在扩容中。
  {% endhint %}

## 2. 请求参数

以下请求参数列表仅列出了接口中需要的请求参数

| 参数名称     | 必选 | 类型      | 描述                                                                                                |
| -------- | -- | ------- | ------------------------------------------------------------------------------------------------- |
| diskId   | 是  | String  | <p>云硬盘ID。</p><p>通过DescribeDisks接口查询。</p>                                                          |
| diskSize | 是  | Integer | <p>云硬盘扩容后的大小。</p><p>单位GiB。</p><p>必须大于当前云硬盘大小。</p><p>云盘最大限制为32768GB(32TB)。</p><p>可选值范围：\[1, +)</p> |

## 3. 响应结果

| 参数名称      | 类型     | 描述                                                       |
| --------- | ------ | -------------------------------------------------------- |
| requestId | String | <p>唯一请求 ID。</p><p>每次请求都会返回。定位问题时需要提供该次请求的 requestId。</p> |

## 4. 代码示例

{% tabs %}
{% tab title="示例" %}
**1. 扩容弹性云盘到100GiB。**

```json
POST /api/v2/zec HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: ResizeDisk
<Common Request Params>

Request：
{
    "diskId": "<Disk ID>",
    "diskSize": 100
}

Response：
{
  "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
  "response": {
    "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3"
  }
}
```

{% endtab %}
{% endtabs %}

## 5. 开发者工具

Zenlayer Cloud API 2.0 提供了配套的[开发工具集（SDK）](/api-reference/cn/api-introduction/toolkit.md)，未来会陆续支持更多开发语言，方便快速接入和使用Zenlayer的产品和服务。

## 6. 错误码

下面包含业务逻辑中遇到的错误码，其他错误码见[公共错误码](/api-reference/cn/api-introduction/instruction/commonerrorcode.md)

| HTTP状态码 | 错误码                                               | 说明                 |
| ------- | ------------------------------------------------- | ------------------ |
| 400     | INVALID\_DISK\_SIZE\_MAX\_EXCEED                  | 盘超过最大限制。           |
| 404     | INVALID\_DISK\_NOT\_FOUND                         | 云盘不存在。             |
| 400     | INVALID\_DISK\_SIZE\_PARAM\_ERROR                 | 云盘大小错误，必须大于当前云盘大小。 |
| 400     | OPERATION\_DENIED\_INSTANCE\_STATUS\_NOT\_SUPPORT | 实例状态不允许操作。         |
| 400     | OPERATION\_DENIED\_DISK\_STATUS                   | 云盘状态不允许操作。         |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.console.zenlayer.com/api-reference/cn/compute/zec/disk/resizedisk.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
